Refresh Token
Exchanges a refresh token for new access/refresh tokens. The previous refresh token is invalidated upon successful exchange.
Headers
- Type: stringX
- Correlation - Id Optional caller-provided correlation ID; echoed in responses when present.
Body·
required
application/json
- Type: stringclientrequired
OAuth client ID provided by the business. Required to identify the client application for token refresh. The OAuth application must have the Advance Auth scope enabled.
- Type: stringrefresh
_token requiredRefresh token that the client application can use to get new tokens without re-authenticating. You can retrieve the value of the refresh_token from the response of the Sign Up/Sign In API.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api2/refresh_token
curl https://SERVER_NAME_GOES_HERE/api2/refresh_token \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"client": "CLIENT_GOES_HERE",
"refresh_token": "REFRESH_TOKEN_GOES_HERE"
}'
{
"data": {
"access_token": "ACCESS_TOKEN_GOES_HERE",
"token_type": "Bearer",
"refresh_token": "REFRESH_TOKEN_GOES_HERE",
"expires_in": 86400
}
}